com.h3c.util.pkt

## Enum Dns.ResponseCode

- java.lang.Object
- - java.lang.Enum<Dns.ResponseCode>
  - - com.h3c.util.pkt.Dns.ResponseCode

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Dns.ResponseCode>
  Enclosing class:
    Dns

      public static enum Dns.ResponseCode
      extends Enum<Dns.ResponseCode>
      implements ProtocolEnum

  Response codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_KEY` Bad key.
    `BAD_SIG` Bad signature.
    `BAD_TIMESTAMP` Bad timestamp.
    `BAD_VERSION` Bad extension mechanism for DNS version.
    `DOMAIN_NAME_SHOULD_NOT_EXIST` Domain name should not exist.
    `FORMAT_ERROR` Name server was unable to interpret the query.
    `NAME_ERROR` Domain name in the query does not exist.
    `NO_ERROR` No Error condition.
    `NOT_AUTH` Not authoritative for zone.
    `NOT_IMPL` Not implemented.
    `NOT_ZONE` Name not in zone.
    `RECORD_DOES_NOT_EXIST` Resource record set does not exist.
    `RECORD_SHOULD_NOT_EXIST` Resource record set should not exist.
    `REFUSED` Connection refused.
    `SERVER_FAILURE` Name server was unable to process the query - internal problem.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Dns.ResponseCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Dns.ResponseCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final Dns.ResponseCode NO_ERROR

      No Error condition.

    - #### FORMAT_ERROR

          public static final Dns.ResponseCode FORMAT_ERROR

      Name server was unable to interpret the query.

    - #### SERVER_FAILURE

          public static final Dns.ResponseCode SERVER_FAILURE

      Name server was unable to process the query - internal problem.

    - #### NAME_ERROR

          public static final Dns.ResponseCode NAME_ERROR

      Domain name in the query does not exist.

    - #### NOT_IMPL

          public static final Dns.ResponseCode NOT_IMPL

      Not implemented.

    - #### REFUSED

          public static final Dns.ResponseCode REFUSED

      Connection refused.

    - #### DOMAIN_NAME_SHOULD_NOT_EXIST

          public static final Dns.ResponseCode DOMAIN_NAME_SHOULD_NOT_EXIST

      Domain name should not exist.

    - #### RECORD_SHOULD_NOT_EXIST

          public static final Dns.ResponseCode RECORD_SHOULD_NOT_EXIST

      Resource record set should not exist.

    - #### RECORD_DOES_NOT_EXIST

          public static final Dns.ResponseCode RECORD_DOES_NOT_EXIST

      Resource record set does not exist.

    - #### NOT_AUTH

          public static final Dns.ResponseCode NOT_AUTH

      Not authoritative for zone.

    - #### NOT_ZONE

          public static final Dns.ResponseCode NOT_ZONE

      Name not in zone.

    - #### BAD_VERSION

          public static final Dns.ResponseCode BAD_VERSION

      Bad extension mechanism for DNS version.

    - #### BAD_SIG

          public static final Dns.ResponseCode BAD_SIG

      Bad signature.

    - #### BAD_KEY

          public static final Dns.ResponseCode BAD_KEY

      Bad key.

    - #### BAD_TIMESTAMP

          public static final Dns.ResponseCode BAD_TIMESTAMP

      Bad timestamp.

  - ### Method Detail

    - #### values

          public static Dns.ResponseCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dns.ResponseCode c : Dns.ResponseCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dns.ResponseCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.